summaryrefslogtreecommitdiffstats
path: root/python/python3-oscrypto
diff options
context:
space:
mode:
author Nikos Giotis <nikos.giotis@gmail.com>2023-12-08 00:36:16 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2023-12-08 08:38:16 +0700
commit538f6563e8d9f49d8138dab19392f75a0d3f4ce7 (patch)
tree3784905e785af6d6d0ea4f95b0962a9ea94a9ba0 /python/python3-oscrypto
parentbd663cc34338211901e70052bb8e005978cd1c42 (diff)
downloadslackbuilds-538f6563e8d9f49d8138dab19392f75a0d3f4ce7.tar.gz
slackbuilds-538f6563e8d9f49d8138dab19392f75a0d3f4ce7.tar.xz
python/python3-oscrypto: Added (crypto library).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'python/python3-oscrypto')
-rw-r--r--python/python3-oscrypto/README4
-rw-r--r--python/python3-oscrypto/python3-oscrypto.SlackBuild96
-rw-r--r--python/python3-oscrypto/python3-oscrypto.info10
-rw-r--r--python/python3-oscrypto/slack-desc19
4 files changed, 129 insertions, 0 deletions
diff --git a/python/python3-oscrypto/README b/python/python3-oscrypto/README
new file mode 100644
index 0000000000..d890e8890e
--- /dev/null
+++ b/python/python3-oscrypto/README
@@ -0,0 +1,4 @@
+A compilation-free, always up-to-date encryption library for Python
+that works on Windows, OS X, Linux and BSD. Supports the following
+versions of Python: 2.6, 2.7, 3.2, 3.3, 3.4, 3.5, 3.6, 3.7, 3.8, 3.9,
+3.10 and pypy.
diff --git a/python/python3-oscrypto/python3-oscrypto.SlackBuild b/python/python3-oscrypto/python3-oscrypto.SlackBuild
new file mode 100644
index 0000000000..39b934da20
--- /dev/null
+++ b/python/python3-oscrypto/python3-oscrypto.SlackBuild
@@ -0,0 +1,96 @@
+#!/bin/bash
+
+# Slackware build script for python3-oscrypto
+
+# Copyright 2022,2023 Nikos Giotis, Athens, GR
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=python3-oscrypto
+SRCNAM=oscrypto
+VERSION=${VERSION:-1.3.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tar.gz
+cd $SRCNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+python3 -m build --wheel --no-isolation
+python3 -m installer --destdir "$PKG" dist/*.whl
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ LICENSE changelog.md readme.md \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/python/python3-oscrypto/python3-oscrypto.info b/python/python3-oscrypto/python3-oscrypto.info
new file mode 100644
index 0000000000..b35742d92b
--- /dev/null
+++ b/python/python3-oscrypto/python3-oscrypto.info
@@ -0,0 +1,10 @@
+PRGNAM="python3-oscrypto"
+VERSION="1.3.0"
+HOMEPAGE="https://github.com/wbond/oscrypto"
+DOWNLOAD="https://files.pythonhosted.org/packages/06/81/a7654e654a4b30eda06ef9ad8c1b45d1534bfd10b5c045d0c0f6b16fecd2/oscrypto-1.3.0.tar.gz"
+MD5SUM="1d5be9d502f9e2207513493ff2f03e90"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="python3-asn1crypto python3-build python3-wheel"
+MAINTAINER="Nikos Giotis"
+EMAIL="nikos.giotis@gmail.com"
diff --git a/python/python3-oscrypto/slack-desc b/python/python3-oscrypto/slack-desc
new file mode 100644
index 0000000000..2372196792
--- /dev/null
+++ b/python/python3-oscrypto/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+python3-oscrypto: python3-oscrypto (Another Python Crypto Library)
+python3-oscrypto:
+python3-oscrypto: The library integrates with the encryption library that is part of
+python3-oscrypto: the operating system. This means that a compiler is never needed, and
+python3-oscrypto: OS security updates take care of patching vulnerabilities.
+python3-oscrypto:
+python3-oscrypto:
+python3-oscrypto:
+python3-oscrypto:
+python3-oscrypto:
+python3-oscrypto: